gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.GrabBrokenEvent

Contents

- Exported types
- Methods
  - getGrabSurface
  - getImplicit

Description

An event related to a broken windowing system grab.

Synopsis

- newtype GrabBrokenEvent = GrabBrokenEvent (ManagedPtr GrabBrokenEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf GrabBrokenEvent o) => IsGrabBrokenEvent o
- toGrabBrokenEvent :: (MonadIO m, IsGrabBrokenEvent o) => o -> m GrabBrokenEvent
- grabBrokenEventGetGrabSurface :: (HasCallStack, MonadIO m, IsGrabBrokenEvent a) => a -> m Surface
- grabBrokenEventGetImplicit :: (HasCallStack, MonadIO m, IsGrabBrokenEvent a) => a -> m Bool

# Exported types

newtype GrabBrokenEvent Source #

Memory-managed wrapper type.

Constructors

GrabBrokenEvent (ManagedPtr GrabBrokenEvent) |

#### Instances

Instances details

Eq GrabBrokenEvent Source # |
Instance details Defined in GI.Gdk.Objects.GrabBrokenEvent Methods (==) :: GrabBrokenEvent -> GrabBrokenEvent -> Bool Source # (/=) :: GrabBrokenEvent -> GrabBrokenEvent -> Bool Source #
BoxedPtr GrabBrokenEvent Source # |
Instance details Defined in GI.Gdk.Objects.GrabBrokenEvent Methods boxedPtrCopy :: GrabBrokenEvent -> IO GrabBrokenEvent Source # boxedPtrFree :: GrabBrokenEvent -> IO () Source #
ManagedPtrNewtype GrabBrokenEvent Source # |
Instance details Defined in GI.Gdk.Objects.GrabBrokenEvent Methods toManagedPtr :: GrabBrokenEvent -> ManagedPtr GrabBrokenEvent Source #
TypedObject GrabBrokenEvent Source # |
Instance details Defined in GI.Gdk.Objects.GrabBrokenEvent Methods glibType :: IO GType Source #
HasParentTypes GrabBrokenEvent Source # |
Instance details Defined in GI.Gdk.Objects.GrabBrokenEvent
type ParentTypes GrabBrokenEvent Source # |
Instance details Defined in GI.Gdk.Objects.GrabBrokenEvent type ParentTypes GrabBrokenEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf GrabBrokenEvent o) => IsGrabBrokenEvent o Source #

Type class for types which can be safely cast to `GrabBrokenEvent`, for instance with `toGrabBrokenEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf GrabBrokenEvent o) => IsGrabBrokenEvent o Source # |
Instance details Defined in GI.Gdk.Objects.GrabBrokenEvent

toGrabBrokenEvent :: (MonadIO m, IsGrabBrokenEvent o) => o -> m GrabBrokenEvent Source #

Cast to `GrabBrokenEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getDevice, getDeviceTool, getDisplay, getEventSequence, getEventType, getGrabSurface, getHistory, getImplicit, getModifierState, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.

## getGrabSurface

grabBrokenEventGetGrabSurface Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrabBrokenEvent a) |
=> a | `event`: a grab broken event
-> m Surface | Returns: the grab surface of `event`

Extracts the grab surface from a grab broken event.

## getImplicit

grabBrokenEventGetImplicit Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrabBrokenEvent a) |
=> a | `event`: a grab broken event
-> m Bool | Returns: `True` if the an implicit grab was broken

Checks whether the grab broken event is for an implicit grab.